package com.bpcl.lpg.core.stub.ekyc;

import com.bpcl.lpg.webservices.request.dto.BpclEkycStatusRequestWsDTO;
import com.bpcl.lpg.facades.ekyc.data.OperatorRequestData;
import com.bpcl.lpg.facades.ekyc.data.BpclEkycTransactionRequestData;

public class BpclEkycTransactionRequestDataStub
{
    public void populateStubbedTrxnRequestDataForEkyc(final BpclEkycTransactionRequestData bpclEkycTransactionRequestData) {
        bpclEkycTransactionRequestData.setPartnerCode("AN");
        bpclEkycTransactionRequestData.setPartnerTransId("EKYC130");
        bpclEkycTransactionRequestData.setUniqueApiReqNo("12345");
        bpclEkycTransactionRequestData.setMobileNumber("7602848214");
        bpclEkycTransactionRequestData.setLpgId((String)null);
        bpclEkycTransactionRequestData.setDistCode((String)null);
        bpclEkycTransactionRequestData.setConsumerNumber((String)null);
        bpclEkycTransactionRequestData.setAppId("6");
        bpclEkycTransactionRequestData.setLanguageCode("3");
        bpclEkycTransactionRequestData.setLanguageName("Bengali");
        bpclEkycTransactionRequestData.setConsentId("1");
        bpclEkycTransactionRequestData.setConsentText("<P>আমি,  ভারত পেট্রোলিয়াম কর্পোরেশন লিমিটেড-এর থেকে LPG সংযোগ তথা ভর্তুকি প্রাপ্ত করার উদ্দেশ্যে, আমাকে ডাইরেক্ট বেনিফিটস ট্রান্সফার (DBT) পাওয়ার সক্ষম করার জন্য, স্বেচ্ছায় আমার আধার BPCL-এর নিকট প্রদান করেছি এবং এতদ্বারা BPCL-এর নিকট, (i) আধার ভিত্তিক প্রত্যয়ন/যাচাইকরণ ব্যবস্থার দ্বারা আমার পরিচিতি প্রতিষ্ঠা/ঠিকানা প্রমাণ করার, (ii) ইউনিক আইডেন্টিফিকেশন অথরিটি অফ ইন্ডিয়া (UIDAI), সংশ্লিষ্ট নিয়ামক অথবা বিধিবদ্ধ কর্তৃপক্ষের নিকট, প্রযোজ্য আইনের অধীনে যেকোনো প্রকার প্রয়োজনীয় হতে পারে, আমার আধার বিবরণ জানানোর, (iii) আমার নিকট SMS এবং OTP সতর্কতাগুলি পাঠানোর উদ্দেশ্য আমার নীচে উল্লিখিত মোবাইল নম্বর ব্যবহার করার জন্য আমার সম্মতি প্রদান করি৷</P>       <P>আমি এতদ্বারা সম্মত হই এবং নীচে উল্লিখিত আধার ভিত্তিক প্রত্যয়ন/যাচাইকরণের শর্তাবলীর প্রতি আমার সম্মতি প্রদান করি: </P>       <P>1. আমাকে জানানো হয়েছে যে: (a) প্রত্যয়নের পরে, UIDAI BPCL কে আমার ছবি অন্তর্ভুক্ত করে, আমার জাতিতত্ত্ব সংক্রান্ত তথ্যগুলি জানাতে পারে, যেটি BPCL উপরের উল্লেখিত উদ্দেশ্যে একটি পরিচয়ের/ঠিকানার প্রামাণিক হিসাবে ব্যবহার করতে পারে; (b) UIDAI-এর দ্বারা জানানো আমার আধার বিবরণ (আমার জাতিতত্ত্ব সংক্রান্ত তথ্যগুলি অন্তর্ভুক্ত করে) উপরে উল্লেখিত অথবা আইনানুসারে প্রয়োজনীয়তা ব্যতীত অন্য কোনও উদ্দেশ্যে ব্যবহৃত হবে না; (c) BPCL-এর দ্বারা আমার বায়োমেট্রিক তথ্য সংরক্ষিত করা হবে না৷</P>       <p>2. আমি বুঝি যে ভারত পেট্রোলিয়াম কর্পোরেশন লিমিটেড, আধার-ভিত্তিক প্রত্যয়নের উদ্দেশ্য প্রদত্ত আমার ব্যক্তিগত পরিচিয় ভিত্তিক তথ্যগুলির সুরক্ষা এবং গোপনীয়তা নিশ্চিত করবে৷</p>");
        bpclEkycTransactionRequestData.setIsAudioPlayed("1");
        bpclEkycTransactionRequestData.setEKycType("4");
        bpclEkycTransactionRequestData.setRequestedBy("10000000111014431");
        bpclEkycTransactionRequestData.setHashValue("d26765c5015f40e4c5106c6b7ea11af3cf4c0163c2bff98e461e8a99e34a7221afa6de49e52d64299bf78fba22934e982622243f2793188aa01eabb1e93c218e");
    }
    
    public void populateStubResponseForOperatorRequest(final OperatorRequestData operatorRequestData) {
        operatorRequestData.setPartnerCode("EO");
        operatorRequestData.setPartnerTransId("ABCDE");
        operatorRequestData.setUniqueApiReqNo("12345");
        operatorRequestData.setMobileNumber("9998887778");
        operatorRequestData.setHashValue("b5def5951d01c6be22979f6f4196cd8b87940acae10b5da70be71d210ccb3ef4e575760a15376258cb308f094316f41cd18c5d510f3428690138a18ce70ad0d0");
    }
    
    public void populateStubbedRequestForEkycUpdateStatus(final BpclEkycStatusRequestWsDTO requestData) {
        requestData.setPartnerCode("AN");
        requestData.setPartnerTransId("EKYC129");
        requestData.setUniqueApiReqNo("1234");
        requestData.setEkycTransactionId("12029644");
        requestData.setEkycStatus("1");
        requestData.setEkycReferenceKey("572789504047");
        requestData.setEkycType("4");
        requestData.setRequestedBy("10000000105815858");
        requestData.setHashValue("21e94df7839b0fc821694f40b5c88244fb57d488603595ca25ccab36f7c4248571f9de57b2253f4ce908c5f24a74df10d98ebab96756c828e0186e8f18239a7c");
    }
}
